import { get } from 'svelte/store';
import { options } from './options';
const dispatchLocationChange = (mode = get(options).mode) => {
    let type = 'popstate';
    if (mode === 'window')
        type = 'popstate';
    if (mode === 'hash')
        type = 'hashchange';
    window.dispatchEvent(new Event(type));
};
export const router = {
    go: (delta = 0) => {
        history.go(delta);
        dispatchLocationChange();
    },
    push: (url, state = null) => {
        history.pushState(state, '', url);
        dispatchLocationChange();
    },
    replace: (url, state = null) => {
        history.replaceState(state, '', url);
        dispatchLocationChange();
    },
};
